Skip to main content
GET
/
v1
/
lifecycle
/
webhooks
/
{id}
/
deliveries
/
{delivery_id}
Get a lifecycle webhook delivery with attempts
import requests

url = "https://api.13-215-85-171.sslip.io/v1/lifecycle/webhooks/{id}/deliveries/{delivery_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
{
  "delivery": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "webhook_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "attempt_count": 123,
    "created_at": "2023-11-07T05:31:56Z",
    "next_attempt_at": "2023-11-07T05:31:56Z",
    "last_attempt_at": "2023-11-07T05:31:56Z",
    "last_response_status": 123,
    "last_error": "<string>"
  },
  "event": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "occurred_at": "2023-11-07T05:31:56Z",
    "metadata": {},
    "sandbox_id": "<string>",
    "snapshot_id": "<string>",
    "source_sandbox_id": "<string>",
    "target_sandbox_id": "<string>",
    "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "reason": "<string>",
    "error_code": "<string>",
    "error_message": "<string>"
  },
  "attempts": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "delivery_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "attempt_number": 123,
      "attempted_at": "2023-11-07T05:31:56Z",
      "duration_ms": 123,
      "response_status": 123,
      "error_code": "<string>",
      "error_message": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

API key passed as Bearer token

Path Parameters

id
string
required

Lifecycle webhook ID

delivery_id
string
required

Lifecycle webhook delivery ID

Response

Lifecycle webhook delivery detail

delivery
object
required
event
object
required
attempts
object[]
required